Bug 1806961 - Missing ec2:DeleteSecurityGroup on AWS cloud provider doc
Summary: Missing ec2:DeleteSecurityGroup on AWS cloud provider doc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.z
Assignee: Kathryn Alexander
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-25 11:04 UTC by Pablo Alonso Rodriguez
Modified: 2020-04-13 15:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-13 15:22:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3441111 0 None None None 2020-02-25 11:21:11 UTC

Description Pablo Alonso Rodriguez 2020-02-25 11:04:55 UTC
Document URL: 

https://docs.openshift.com/container-platform/3.11/install_config/configuring_aws.html#configuring-aws-permissions

Section Number and Name: 

Configuring authorization for Amazon Web Services (AWS)

Describe the issue: 

Permission ec2:DeleteSecurityGroup is missing on AWS policy, so user experiences issues while removing LoadBalancer services in AWS due to OpenShift not being authorized to remove the security group.

Suggestions for improvement: 

Add the permission to the policy.

Additional information: 

OCP4 IAM policies already include this permission. Just the OCP 3.11 documentation needs to be fixed.

Comment 3 Kathryn Alexander 2020-03-31 13:41:47 UTC
I'm merging this PR to address this bug: https://github.com/openshift/openshift-docs/pull/20773


Note You need to log in before you can comment on or make changes to this bug.